diff --git a/drupal7/sites/all/modules/ctools/includes/modal.inc b/drupal7/sites/all/modules/ctools/includes/modal.inc
index 18b216fc..30eadbf4 100644
--- a/drupal7/sites/all/modules/ctools/includes/modal.inc
+++ b/drupal7/sites/all/modules/ctools/includes/modal.inc
@@ -74,7 +74,7 @@ function ctools_modal_add_js() {
 }
 
 /**
- * @todo this is deprecated
+ * @todo Deprecated this.
  */
 function ctools_modal_add_plugin_js($plugins) {
   $css = array();
@@ -85,7 +85,7 @@ function ctools_modal_add_plugin_js($plugins) {
         if (file_exists($file)) {
           $js[$file] = TRUE;
         }
-        elseif (file(exists($subtype['path'] . '/' . $file))) {
+        elseif (file_exists($subtype['path'] . '/' . $file)) {
           $js[$subtype['path'] . '/' . $file] = TRUE;
         }
       }
@@ -95,7 +95,7 @@ function ctools_modal_add_plugin_js($plugins) {
         if (file_exists($file)) {
           $css[$file] = TRUE;
         }
-        elseif (file(exists($subtype['path'] . '/' . $file))) {
+        elseif (file_exists($subtype['path'] . '/' . $file)) {
           $css[$subtype['path'] . '/' . $file] = TRUE;
         }
       }
diff --git a/drupal7/sites/all/modules/ctools/includes/object-cache.inc b/drupal7/sites/all/modules/ctools/includes/object-cache.inc
index ef52f9ad..34c26623 100644
--- a/drupal7/sites/all/modules/ctools/includes/object-cache.inc
+++ b/drupal7/sites/all/modules/ctools/includes/object-cache.inc
@@ -21,13 +21,12 @@
  * @param $name
  *   The name of the object being stored.
  * @param $skip_cache
+ *   Deprecated in favor of drupal_static*
  *   Skip the memory cache, meaning this must be read from the db again.
  * @param $sid
  *   The session id, allowing someone to use Session API or their own solution;
  *   defaults to session_id().
  *
- * @deprecated $skip_cache is deprecated in favor of drupal_static*
- *
  * @return
  *   The data that was cached.
  */
diff --git a/drupal7/sites/all/modules/ctools/js/ajax-responder.js b/drupal7/sites/all/modules/ctools/js/ajax-responder.js
index 1cad618e..6c30b26d 100644
--- a/drupal7/sites/all/modules/ctools/js/ajax-responder.js
+++ b/drupal7/sites/all/modules/ctools/js/ajax-responder.js
@@ -98,29 +98,30 @@
   };
 
   // Hide these in a ready to ensure that Drupal.ajax is set up first.
-  $(function() {
-    Drupal.ajax.prototype.commands.attr = function(ajax, data, status) {
-      $(data.selector).attr(data.name, data.value);
-    };
+  Drupal.behaviors.ctools_add_ajax_responder_commands = {
+    attach: function () {
+      Drupal.ajax.prototype.commands.attr = function (ajax, data, status) {
+        $(data.selector).attr(data.name, data.value);
+      };
 
-
-    Drupal.ajax.prototype.commands.redirect = function(ajax, data, status) {
-      if (data.delay > 0) {
-        setTimeout(function () {
+      Drupal.ajax.prototype.commands.redirect = function (ajax, data, status) {
+        if (data.delay > 0) {
+          setTimeout(function () {
+            location.href = data.url;
+          }, data.delay);
+        }
+        else {
           location.href = data.url;
-        }, data.delay);
-      }
-      else {
-        location.href = data.url;
-      }
-    };
+        }
+      };
 
-    Drupal.ajax.prototype.commands.reload = function(ajax, data, status) {
-      location.reload();
-    };
+      Drupal.ajax.prototype.commands.reload = function (ajax, data, status) {
+        location.reload();
+      };
 
-    Drupal.ajax.prototype.commands.submit = function(ajax, data, status) {
-      $(data.selector).submit();
+      Drupal.ajax.prototype.commands.submit = function (ajax, data, status) {
+        $(data.selector).submit();
+      }
     }
-  });
+  };
 })(jQuery);
diff --git a/drupal7/sites/all/modules/ctools/js/collapsible-div.js b/drupal7/sites/all/modules/ctools/js/collapsible-div.js
index 134151c3..4e21a225 100644
--- a/drupal7/sites/all/modules/ctools/js/collapsible-div.js
+++ b/drupal7/sites/all/modules/ctools/js/collapsible-div.js
@@ -123,7 +123,7 @@
       var cookie = '';
 
       // Get a list of IDs, saparated by comma
-      for (i in this.state) {
+      for (var i in this.state) {
         if (cookie != '') {
           cookie += ',';
         }
@@ -190,7 +190,7 @@
 
       var afterToggle = function () {
         if (Drupal.CTools.CollapsibleCallbacksAfterToggle) {
-          for (i in Drupal.CTools.CollapsibleCallbacksAfterToggle) {
+          for (var i in Drupal.CTools.CollapsibleCallbacksAfterToggle) {
             Drupal.CTools.CollapsibleCallbacksAfterToggle[i]($container, handle, content, toggle);
           }
         }
@@ -198,7 +198,7 @@
 
       var clickMe = function () {
         if (Drupal.CTools.CollapsibleCallbacks) {
-          for (i in Drupal.CTools.CollapsibleCallbacks) {
+          for (var i in Drupal.CTools.CollapsibleCallbacks) {
             Drupal.CTools.CollapsibleCallbacks[i]($container, handle, content, toggle);
           }
         }
diff --git a/drupal7/sites/all/modules/ctools/js/dependent.js b/drupal7/sites/all/modules/ctools/js/dependent.js
index a60fc120..77777e38 100644
--- a/drupal7/sites/all/modules/ctools/js/dependent.js
+++ b/drupal7/sites/all/modules/ctools/js/dependent.js
@@ -39,7 +39,7 @@
 
   Drupal.CTools.dependent.autoAttach = function() {
     // Clear active bindings and triggers.
-    for (i in Drupal.CTools.dependent.activeTriggers) {
+    for (var i in Drupal.CTools.dependent.activeTriggers) {
       $(Drupal.CTools.dependent.activeTriggers[i]).unbind('change.ctools-dependent');
     }
     Drupal.CTools.dependent.activeTriggers = [];
@@ -51,7 +51,7 @@
     }
 
     // Iterate through all relationships
-    for (id in Drupal.settings.CTools.dependent) {
+    for (var id in Drupal.settings.CTools.dependent) {
       // Test to make sure the id even exists; this helps clean up multiple
       // AJAX calls with multiple forms.
 
@@ -59,7 +59,7 @@
       // whether the binding is active or not.  Defaults to no.
       Drupal.CTools.dependent.activeBindings[id] = 0;
       // Iterate through all possible values
-      for(bind_id in Drupal.settings.CTools.dependent[id].values) {
+      for (var bind_id in Drupal.settings.CTools.dependent[id].values) {
         // This creates a backward relationship.  The bind_id is the ID
         // of the element which needs to change in order for the id to hide or become shown.
         // The id is the ID of the item which will be conditionally hidden or shown.
@@ -87,7 +87,7 @@
         }
 
         var getValue = function(item, trigger) {
-          if ($(trigger).size() == 0) {
+          if ($(trigger).length == 0) {
             return null;
           }
 
@@ -129,7 +129,7 @@
               return;
             }
 
-            for (i in Drupal.CTools.dependent.bindings[bind_id]) {
+            for (var i in Drupal.CTools.dependent.bindings[bind_id]) {
               var id = Drupal.CTools.dependent.bindings[bind_id][i];
               // Fix numerous errors
               if (typeof id != 'string') {
@@ -150,7 +150,7 @@
               }
 
               var len = 0;
-              for (i in Drupal.CTools.dependent.activeBindings[id]) {
+              for (var i in Drupal.CTools.dependent.activeBindings[id]) {
                 len++;
               }
 
diff --git a/drupal7/sites/all/modules/ctools/js/modal.js b/drupal7/sites/all/modules/ctools/js/modal.js
index ec7b02ae..71b4b6aa 100644
--- a/drupal7/sites/all/modules/ctools/js/modal.js
+++ b/drupal7/sites/all/modules/ctools/js/modal.js
@@ -299,6 +299,7 @@
     // content. This is helpful for allowing users to see error messages at the
     // top of a form, etc.
     $('#modal-content').html(response.output).scrollTop(0);
+    $(document).trigger('CToolsAttachBehaviors', $('#modalContent'));
 
     // Attach behaviors within a modal dialog.
     var settings = response.settings || ajax.settings || Drupal.settings;
diff --git a/drupal7/sites/all/modules/ctools/js/stylizer.js b/drupal7/sites/all/modules/ctools/js/stylizer.js
index 12ab7204..d48f6454 100644
--- a/drupal7/sites/all/modules/ctools/js/stylizer.js
+++ b/drupal7/sites/all/modules/ctools/js/stylizer.js
@@ -5,7 +5,7 @@
 
   Drupal.CTools.Stylizer.addFarbtastic = function(context) {
     // This behavior attaches by ID, so is only valid once on a page.
-    if ($('#ctools_stylizer_color_scheme_form .color-form.Stylizer-processed').size()) {
+    if ($('#ctools_stylizer_color_scheme_form .color-form.Stylizer-processed').length) {
       return;
     }
 
@@ -21,7 +21,7 @@
 
     // Decode reference colors to HSL
   /*var reference = Drupal.settings.Stylizer.reference.clone();
-    for (i in reference) {
+    for (var i in reference) {
       reference[i] = farb.RGBToHSL(farb.unpack(reference[i]));
     } */
 
@@ -30,7 +30,7 @@
       var colors = this.options[this.selectedIndex].value;
       if (colors != '') {
         colors = colors.split(',');
-        for (i in colors) {
+        for (var i in colors) {
           callback(inputs[i], colors[i], false, true);
         }
       }
diff --git a/drupal7/sites/all/modules/ctools/page_manager/page_manager.info b/drupal7/sites/all/modules/ctools/page_manager/page_manager.info
index a56663b8..77c9815b 100644
--- a/drupal7/sites/all/modules/ctools/page_manager/page_manager.info
+++ b/drupal7/sites/all/modules/ctools/page_manager/page_manager.info
@@ -6,8 +6,8 @@ package = Chaos tool suite
 
 files[] = tests/head_links.test
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/page_manager/page_manager.module b/drupal7/sites/all/modules/ctools/page_manager/page_manager.module
index c614eff7..ed2066b4 100644
--- a/drupal7/sites/all/modules/ctools/page_manager/page_manager.module
+++ b/drupal7/sites/all/modules/ctools/page_manager/page_manager.module
@@ -297,7 +297,7 @@ function page_manager_theme() {
  * Get the cached changes to a given task handler.
  */
 function page_manager_get_page_cache($task_name) {
-  $caches = drupal_static(__FUNCTION__, array());
+  $caches = &drupal_static(__FUNCTION__, array());
   if (!isset($caches[$task_name])) {
     ctools_include('object-cache');
     $cache = ctools_object_cache_get('page_manager_page', $task_name);
diff --git a/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/node_edit.inc b/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/node_edit.inc
index 66bf00da..2d274491 100644
--- a/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/node_edit.inc
+++ b/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/node_edit.inc
@@ -95,13 +95,28 @@ function page_manager_node_edit($node) {
   ctools_include('context-task-handler');
   $contexts = ctools_context_handler_get_task_contexts($task, '', array($node));
 
+  // Set the default title for the node add/edit form. If the page has a custom
+  // title it'll override this.
+  $types = node_type_get_types();
+  $context = reset($contexts);
+  if (empty($context->data->nid)) {
+    drupal_set_title(t('Create @name', array(
+      '@name' => $types[$context->data->type]->name
+    )), PASS_THROUGH);
+  }
+  else {
+    drupal_set_title(t('<em>Edit @type</em> @title', array(
+      '@type' => $types[$context->node_type]->name,
+      '@title' => $context->data->title
+    )), PASS_THROUGH);
+  }
+
   $arg = array(isset($node->nid) ? $node->nid : $node->type);
   $output = ctools_context_handler_render($task, '', $contexts, $arg);
   if ($output === FALSE) {
     // Fall back!
     // We've already built the form with the context, so we can't build it again, or
     // form_clean_id will mess up our ids. But we don't really need to, either:
-    $context = reset($contexts);
     $output = $context->form;
   }
 
diff --git a/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/term_view.inc b/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/term_view.inc
index 72fb7dbc..101b6744 100644
--- a/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/term_view.inc
+++ b/drupal7/sites/all/modules/ctools/page_manager/plugins/tasks/term_view.inc
@@ -21,7 +21,7 @@ function page_manager_term_view_page_manager_tasks() {
 
       'title' => t('Taxonomy term template'),
       'admin title' => t('Taxonomy term template'),
-      'admin description' => t('When enabled, this overrides the default Drupal behavior for displaying taxonomy terms at <em>taxonomy/term/%term</em>. If you add variants, you may use selection criteria such as vocabulary or user access to provide different displays of the taxonomy term and associated nodes. If no variant is selected, the default Drupal taxonomy term display will be used. This page only affects items actually displayed ad taxonomy/term/%term. Some taxonomy terms, such as forums, have their displays moved elsewhere. Also please note that if you are using pathauto, aliases may make a taxonomy terms appear somewhere else, but as far as Drupal is concerned, they are still at taxonomy/term/%term.'),
+      'admin description' => t('When enabled, this overrides the default Drupal behavior for displaying taxonomy terms at <em>taxonomy/term/%term</em>. If you add variants, you may use selection criteria such as vocabulary or user access to provide different displays of the taxonomy term and associated nodes. If no variant is selected, the default Drupal taxonomy term display will be used. This page only affects items actually displayed at taxonomy/term/%term. Some taxonomy terms, such as forums, have their displays moved elsewhere. Also please note that if you are using pathauto, aliases may make a taxonomy terms appear somewhere else, but as far as Drupal is concerned, they are still at taxonomy/term/%term.'),
       'admin path' => 'taxonomy/term/%taxonomy_term',
       'admin summary' => 'page_manager_term_view_admin_summary',
 
diff --git a/drupal7/sites/all/modules/ctools/plugins/access/term.inc b/drupal7/sites/all/modules/ctools/plugins/access/term.inc
index 50ec0d90..224a00c6 100644
--- a/drupal7/sites/all/modules/ctools/plugins/access/term.inc
+++ b/drupal7/sites/all/modules/ctools/plugins/access/term.inc
@@ -15,7 +15,7 @@ $plugin = array(
   'callback' => 'ctools_term_ctools_access_check',
   'default' => array('vids' => array()),
   'settings form' => 'ctools_term_ctools_access_settings',
-  'settings form validation' => 'ctools_term_ctools_access_settings_validate',
+  'settings form validate' => 'ctools_term_ctools_access_settings_validate',
   'settings form submit' => 'ctools_term_ctools_access_settings_submit',
   'summary' => 'ctools_term_ctools_access_summary',
   'required context' => new ctools_context_required(t('Term'), array('taxonomy_term', 'terms')),
diff --git a/drupal7/sites/all/modules/ctools/plugins/access/term_has_parent.inc b/drupal7/sites/all/modules/ctools/plugins/access/term_has_parent.inc
index 16f4fbf6..fd9351d9 100644
--- a/drupal7/sites/all/modules/ctools/plugins/access/term_has_parent.inc
+++ b/drupal7/sites/all/modules/ctools/plugins/access/term_has_parent.inc
@@ -38,7 +38,7 @@ function ctools_term_has_parent_ctools_access_settings($form, &$form_state, $con
     '#title' => t('Vocabulary'),
     '#type' => 'select',
     '#options' => array(),
-    '#description' => t('Select the vocabulary for this form.'),
+    '#description' => t('Select the vocabulary your parent term belongs to.'),
     '#id' => 'ctools-select-vid',
     '#default_value' => $conf['vid'],
     '#required' => TRUE,
@@ -57,7 +57,7 @@ function ctools_term_has_parent_ctools_access_settings($form, &$form_state, $con
     $options[$vid] = $vocabulary->name;
     $form['settings']['vid_' . $vid] = array(
       '#title' => t('Terms'),
-      '#description' => t('Select a term or terms from @vocabulary.', array('@vocabulary' => $vocabulary->name)),
+      '#description' => t('Select a parent term (or terms) from the @vocabulary vocabulary.', array('@vocabulary' => $vocabulary->name)),
       '#dependency' => array('ctools-select-vid' => array($vocabulary->vid)),
       '#default_value' => !empty($conf['vid_' . $vid]) ? $conf['vid_' . $vid] : '',
       '#size' => 10,
@@ -77,8 +77,8 @@ function ctools_term_has_parent_ctools_access_settings($form, &$form_state, $con
   }
   $form['settings']['vid']['#options'] = $options;
   $form['settings']['include_self'] = array(
-    '#title' => t('Include these term(s) as candidates?'),
-    '#description' => t('When this rule is evaluated, should the term(s) you select be included as candidates for access?'),
+    '#title' => t('Include these parent term(s)?'),
+    '#description' => t('Should the term(s) you selected above be included in addition to their children?'),
     '#default_value' => !empty($conf['include_self']) ? $conf['include_self'] : FALSE,
     '#type' => 'checkbox',
   );
diff --git a/drupal7/sites/all/modules/ctools/plugins/access/term_parent.inc b/drupal7/sites/all/modules/ctools/plugins/access/term_parent.inc
index 27375dfa..0fddc020 100644
--- a/drupal7/sites/all/modules/ctools/plugins/access/term_parent.inc
+++ b/drupal7/sites/all/modules/ctools/plugins/access/term_parent.inc
@@ -15,7 +15,7 @@ $plugin = array(
   'callback' => 'ctools_term_parent_ctools_access_check',
   'default' => array('vid' => array(), 'negate' => 0),
   'settings form' => 'ctools_term_parent_ctools_access_settings',
-  'settings form validation' => 'ctools_term_parent_ctools_access_settings_validate',
+  'settings form validate' => 'ctools_term_parent_ctools_access_settings_validate',
   'settings form submit' => 'ctools_term_parent_ctools_access_settings_submit',
   'summary' => 'ctools_term_parent_ctools_access_summary',
   'required context' => new ctools_context_required(t('Term'), array('taxonomy_term', 'terms')),
diff --git a/drupal7/sites/all/modules/ctools/plugins/content_types/block/block.inc b/drupal7/sites/all/modules/ctools/plugins/content_types/block/block.inc
index ff75c750..ee5ce576 100644
--- a/drupal7/sites/all/modules/ctools/plugins/content_types/block/block.inc
+++ b/drupal7/sites/all/modules/ctools/plugins/content_types/block/block.inc
@@ -352,7 +352,7 @@ function block_ctools_block_info($module, $delta, &$info) {
   // The title of custom blocks from the block module is stored in the
   // {block} table. Look for it in the default theme as a reasonable
   // default value for the title.
-  $block_info_cache = drupal_static(__FUNCTION__);
+  $block_info_cache = &drupal_static(__FUNCTION__);
   if (!isset($block_info_cache)) {
     $block_info_cache = db_select('block', 'b')
       ->fields('b')
diff --git a/drupal7/sites/all/modules/ctools/stylizer/stylizer.info b/drupal7/sites/all/modules/ctools/stylizer/stylizer.info
index 90204a3d..a86ada60 100644
--- a/drupal7/sites/all/modules/ctools/stylizer/stylizer.info
+++ b/drupal7/sites/all/modules/ctools/stylizer/stylizer.info
@@ -5,8 +5,8 @@ package = Chaos tool suite
 dependencies[] = ctools
 dependencies[] = color
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/term_depth/plugins/access/term_depth.inc b/drupal7/sites/all/modules/ctools/term_depth/plugins/access/term_depth.inc
index d63183f3..eb302b62 100644
--- a/drupal7/sites/all/modules/ctools/term_depth/plugins/access/term_depth.inc
+++ b/drupal7/sites/all/modules/ctools/term_depth/plugins/access/term_depth.inc
@@ -15,7 +15,7 @@ $plugin = array(
   'callback' => 'term_depth_term_depth_ctools_access_check',
   'default' => array('vid' => array(), 'depth' => 0),
   'settings form' => 'term_depth_term_depth_ctools_access_settings',
-  'settings form validation' => 'term_depth_term_depth_ctools_access_settings_validate',
+  'settings form validate' => 'term_depth_term_depth_ctools_access_settings_validate',
   'settings form submit' => 'term_depth_term_depth_ctools_access_settings_submit',
   'summary' => 'term_depth_term_depth_ctools_access_summary',
   'required context' => new ctools_context_required(t('Term'), array('taxonomy_term', 'terms')),
diff --git a/drupal7/sites/all/modules/ctools/term_depth/term_depth.info b/drupal7/sites/all/modules/ctools/term_depth/term_depth.info
index 4baee51d..4f05954d 100644
--- a/drupal7/sites/all/modules/ctools/term_depth/term_depth.info
+++ b/drupal7/sites/all/modules/ctools/term_depth/term_depth.info
@@ -4,8 +4,8 @@ core = 7.x
 dependencies[] = ctools
 package = Chaos tool suite
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.info b/drupal7/sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.info
index a2d0efbd..bc231dbf 100644
--- a/drupal7/sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.info
+++ b/drupal7/sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.info
@@ -7,8 +7,8 @@ hidden = TRUE
 
 files[] = ctools_export.test
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/tests/ctools_plugin_test.info b/drupal7/sites/all/modules/ctools/tests/ctools_plugin_test.info
index d51a5261..bdb624c7 100644
--- a/drupal7/sites/all/modules/ctools/tests/ctools_plugin_test.info
+++ b/drupal7/sites/all/modules/ctools/tests/ctools_plugin_test.info
@@ -5,8 +5,8 @@ core = 7.x
 dependencies[] = ctools
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
